Qt Reference Documentation

# QPauseAnimation Class Reference

The QPauseAnimation class provides a pause for QSequentialAnimationGroup. More...

     #include <QPauseAnimation>

Inherits: QAbstractAnimation.

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Properties

- duration : int

- 6 properties inherited from QAbstractAnimation
- 1 property inherited from QObject

## Public Functions

| QPauseAnimation ( QObject * parent = 0 )
| QPauseAnimation ( int msecs, QObject * parent = 0 )
| ~QPauseAnimation ()
void | setDuration ( int msecs )

## Reimplemented Public Functions

virtual int | duration () const

- 11 public functions inherited from QAbstractAnimation
- 29 public functions inherited from QObject

## Reimplemented Protected Functions

virtual bool | event ( QEvent * e )
virtual void | updateCurrentTime ( int )

- 4 protected functions inherited from QAbstractAnimation
- 8 protected functions inherited from QObject

### Additional Inherited Members

- 6 public slots inherited from QAbstractAnimation
- 1 public slot inherited from QObject
- 4 signals inherited from QAbstractAnimation
- 1 signal inherited from QObject
- 7 static public members inherited from QObject
- 4 protected functions inherited from QAbstractAnimation
- 8 protected functions inherited from QObject

## Detailed Description

The QPauseAnimation class provides a pause for QSequentialAnimationGroup.

If you wish to introduce a delay between animations in a QSequentialAnimationGroup, you can insert a QPauseAnimation. This class does not animate anything, but does not finish before a specified number of milliseconds have elapsed from when it was started. You specify the duration of the pause in the constructor. It can also be set directly with setDuration().

It is not necessary to construct a QPauseAnimation yourself. QSequentialAnimationGroup provides the convenience functions addPause() and insertPause(). These functions simply take the number of milliseconds the pause should last.

See also QSequentialAnimationGroup.

## Property Documentation

### duration : int

This property holds the duration of the pause.

The duration of the pause. The duration should not be negative. The default duration is 250 milliseconds.

Access functions:

virtual int | duration () const
void | setDuration ( int msecs )

## Member Function Documentation

### QPauseAnimation::QPauseAnimation ( QObject * parent = 0 )

Constructs a QPauseAnimation. parent is passed to QObject's constructor. The default duration is 0.

### QPauseAnimation::QPauseAnimation ( int msecs, QObject * parent = 0 )

Constructs a QPauseAnimation. msecs is the duration of the pause. parent is passed to QObject's constructor.

### QPauseAnimation::~QPauseAnimation ()

Destroys the pause animation.

### bool QPauseAnimation::event ( QEvent * e )`[virtual protected]`

Reimplemented from QObject::event().

### void QPauseAnimation::updateCurrentTime ( int )`[virtual protected]`

Reimplemented from QAbstractAnimation::updateCurrentTime().